/* COLORES
* #cc0000 rojo ur. Uso recomendado: enlaces, botones muy visibles e iconos destacados.
* #990000 matiz oscuro 1. Uso recomendado: enlaces, botones muy visibles e iconos destacados. (botones y enlaces)
* #660000 matiz oscuro 2. Uso recomendado: enlaces, botones muy visibles e iconos destacados.
* #c1002c matiz cabecera
* #e68080 botones deshabilitados
* #a5d7d2 verde secundario. Uso: fondos destacados.
* #c0e2e0 matiz claro verde secundario. Uso: fondos destacados.
* #59aca3 matiz oscuro mensajes destacados
* #ff3232 texto error
* #2d373c gris oscuro. Uso: texto, líneas finas y fondos.
* #46505a gris medio. Uso: texto, líneas y fondos.
* #6b737b gris intermedio
* #eaebec gris claro. Uso: líneas y fondos.
* #f6f6f6 gris muy claro Uso: líneas y fondos. Fondo mensajes error y cabecera de fichas
* #129fea borde campo formulario activo
*/

/*** Estilos propios de la apliación ***/

/* Para mantener el footer al final de la página */
body {
    min-height: 100%;
    display: grid;
    grid-template-rows: auto auto 1fr auto;
}

/* barra de navegación entrada */
.entrada .dropdown a, .entrada .dropdown button {
    color: #990000;
    text-decoration: none;
}

.entrada .dropdown a:hover, .entrada .dropdown button:hover, .entrada .dropdown .dropdown-item:hover {
    background-color: #fff !important;
}

/* barra de navegación administrador */
.nav-administrador {
    background-color: #2d373c;
}

.nav-administrador .material-symbols-outlined {
    color: #eaebec;
}

/* dropdowns administrador */
.nav-administrador .dropdown-item:hover, .nav-administrador .dropdown-item:active, .nav-administrador .dropdown-item:focus {
    background-color: #46505a !important;
    text-decoration: none;
}

.nav-administrador .nav-link:hover {
    background-color: #46505a;
    border-radius: .25rem;
    text-decoration: none;
}

.nav-administrador .dropdown-toggle, .nav-administrador .dropdown-toggle:hover, .nav-administrador .dropdown-toggle:active, .nav-administrador .dropdown-toggle:focus {
    color: #fff;
    text-decoration: none;
}

.nav-administrador button.dropdown-item:hover {
    /*text-decoration: underline;*/
}

/* barra de navegación anunciante */
.nav-anunciante {
    background-color: #d9fbfb;
    color: #2d373c;
}

.nav-anunciante .material-symbols-outlined {
    color: #2d373c;
}

/* dropdowns anunciante */
.nav-anunciante .dropdown-item:hover, .nav-anunciante .dropdown-item:active, .nav-anunciante.dropdown-item:focus {
    background-color: #c0e2e0 !important;
    text-decoration: none;
}

.nav-anunciante .nav-link:hover {
    background-color: #c0e2e0 !important;
    border-radius: .25rem;
    text-decoration: none;
}

.nav-anunciante .dropdown-toggle, .nav-anunciante .dropdown-toggle:hover, .nav-anunciante .dropdown-toggle:active, .nav-anunciante .dropdown-toggle:focus {
    color: #fff;
    text-decoration: none;
}

.nav-anunciante button.dropdown-item:hover {
    /*text-decoration: underline;*/
}

.nav-publico {
    background-color: #fff; /*#2d373c;*/
}

.nav-index {
    background-color: #fff;
    color: #000;
    /*    border-bottom: 1px solid #990000;*/
}

.nav-index li {
    color: #000;
}

.nav-index .material-symbols-outlined, .nav-index span {
    color: #990000;
}

.fieldset-index {
    border: 1px solid #a5d7d2;
    padding: 1rem;
    margin: 1rem;
}

.obligatorio {
    color: red;
}

.piso-feature {
    font-size: 1.5em;
    font-weight: 500;
    display: inline-flex;
    align-items: center;
    /*margin-right: .5em;*/
}

.piso-feature .material-symbols-outlined {
    margin-right: .2em;
    margin-top: .12em;
}

.piso-precio {
    font-weight: 700;
    font-size: 2em;
    flex: 1
}

.piso-estado-validado {
    color: #28a745;
}

.piso-estado-rechazado {
    color: #d93025;
    text-decoration: line-through;
}

.piso-publicado {
    font-weight: bold;
}

.card-anunciante {
    font-size: 0.8em;
}

.anunciante-feature {
    font-size: 1em;
    font-weight: 500;
    display: inline-flex;
    align-items: center;
    margin-right: .5em;
}

.anunciante-feature .material-symbols-outlined {
    margin-right: .2em;
}

.error {
    color: red;
    font-weight: bold;
}

.alert-success {
    border-color: #a5d7d2;
    background-color: #c0e2e0;
}

/*
.alert-warning, .alert-danger{
    border-color: #46505a;
    background-color: #46505a;
    color: #FFFFFF;
}*/

.terminos p {
    font-size: 0.95rem;
}

.boton-detalles {
    font-size: 0.75em;
    padding: 0.1em;
    margin: 0;
    line-height: 1.2em;
}

.boton-detalles-anunciante {
    font-size: 0.75em;
    padding: 0.2em;
    margin: 0;
    line-height: 1.2em;
}

.boton-fotos-anunciante {
    font-size: 0.75em;
    padding: 0.2em;
    margin: 0;
    line-height: 0.9em;
    background: #fff;
}

.boton-sin-sombra.btn-check:focus, .boton-sin-sombra.btn:focus {
    box-shadow: none;
}

.boton-info {
    color: #2F66CD !important;
    padding: 0;
}

.boton-info:hover, .boton-info:focus {
    color: #1D4080 !important;
}

.foto-galeria {
    width: 100%;
    height: 200px;
}

.foto-detalle {
    width: 100%;
    max-height: 250px;
}

.material-symbols-outlined.error {
    font-size: 5em;
    color: red;
}

.idioma a:hover {
    text-decoration: none;
}

.idioma .dropdown-item:hover {
    background-color: #eee;
}

.nav-publico .idioma > a {
    color: #990000 !important;
}

.dropdown-claro.dropdown-toggle:hover, .dropdown-claro.dropdown-toggle:active, .dropdown-claro.dropdown-toggle:focus {
    text-decoration: none;
}

.dropdown-claro.dropdown-item.boton-sin-sombra, a.dropdown-claro.dropdown-item, a.dropdown-claro.dropdown-item .small {
    color: #990000;
}

.dropdown-claro.dropdown-item:hover, .dropdown-claro.dropdown-item:active, .dropdown-claro.dropdown-item:focus {
    /*background-color: #f8f9fa;*/ /* backgound por defecto de Bootstrap */
    text-decoration: none;
    background-color: #fff;
}

.card-img-top {
    width: 100%;
    max-height: 265px;
}

.border-light {
    border: none !important;
}

#map {
    height: 500px; /* o el alto que necesites */
    width: 100%;
}

.misma-linea {
    white-space: nowrap;
}